/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"Dep_8h_source.html",
"Json_8h.html#a59e298a12f837155de6789dd2cf37ffe",
"MediaSource_8h.html",
"ProblemTypes_8h.html#a04a74caad5eb433eeeefff106b47f199",
"ResFilters_8h.html#ga639b7530ac6eaa3bc7904fa020db26f2",
"SetTracker_8h.html",
"TestcaseSetup_8h.html#a8465c02c1a284f8e77b551386ffacc6aadf11363f625cc4f0e49d738b61bf55cf",
"base_2Iterable_8h_source.html",
"classzypp_1_1ByteCount.html#afe5fdb534fa2285d95858ba746417281",
"classzypp_1_1CheckSum.html#ae1b7b92c1c05bdf27d914c9f39f35d81",
"classzypp_1_1Digest_1_1P.html#aa52f863b92af36c5715dc24e84e93666",
"classzypp_1_1HistoryLogData.html#a51a33ff7aca60f8361139f19c1bfb7e9",
"classzypp_1_1InstanceId.html#a1365bdf8998c46f57d2ee88b137d5cd0",
"classzypp_1_1Match.html#a765a591d58cdae555d319180289c1366",
"classzypp_1_1Pattern.html#afa125c52af8bfaa3bdd2a2c94e48c38b",
"classzypp_1_1PoolQuery.html#ad176b57d739e3d7af70246be0f578aa5",
"classzypp_1_1PublicKeyData.html#a0a5844a03281694c5e4904e2cf6fa198",
"classzypp_1_1Repository.html#adcf7910002ec7fd8f2dcc6f07560a54e",
"classzypp_1_1ResStatus.html#a51572e10be176ba81e10376cd3a5c74e",
"classzypp_1_1SerialNumberWatcher.html#ac5e40dbbcc92881492a417280595d919",
"classzypp_1_1Url.html#acf17eac8e58fbd3150cd6d76ec1b58b5",
"classzypp_1_1ZYpp.html#a35f7069ff5447991d4b6c9c96114d300",
"classzypp_1_1base_1_1LogControl.html#a2e2ecf6ff3220252a5b59d47c3e6966f",
"classzypp_1_1detail_1_1zckstreambufimpl.html#a05f66ff10bc00a2837add04af8ed511d",
"classzypp_1_1filesystem_1_1StatMode.html#ab86fe97486ede56ce580fbd2c4d40559",
"classzypp_1_1media_1_1MediaDISK.html#a6eb35ad3731717062031b5ab15ece487",
"classzypp_1_1media_1_1ZsyncParser.html#ad3ba03c86e0c3a0663f744e2d655ff58",
"classzypp_1_1parser_1_1ProductFileData.html#a0f8043df1849b903767ffe389fed29cc",
"classzypp_1_1repo_1_1RepoInfoBase.html#a258ef7e5a9fffb1be99ee3bad80d35a2",
"classzypp_1_1sat_1_1LookupAttr.html#a78034e7d8ef6c6105533ef0b5e7d30e7",
"classzypp_1_1sat_1_1SolvAttr.html#a056ade6af66a4986c822c83f46750ec0",
"classzypp_1_1sat_1_1SolvableSpec.html#a2dfe9aaa458a41684c507d2ac4b16a8b",
"classzypp_1_1sat_1_1detail_1_1SolvableIterator.html",
"classzypp_1_1target_1_1CommitPackageCacheReadAhead.html#a118c6193ba6c6adda20e46d64d2f9aed",
"classzypp_1_1target_1_1rpm_1_1RpmAccessBlockedException.html#a67a92b0808d483b5aa597470f3f120d5",
"classzypp_1_1target_1_1rpm_1_1librpmDb_1_1db__const__iterator.html#ad3a39bbd3f96eeee42a3b0caeeb93238",
"classzypp_1_1url_1_1UrlDecodingException.html#aa6f5bc2338d590643f432e684ed53454",
"classzypp__private_1_1repo_1_1PluginRepoverification_1_1Checker_1_1Impl.html#a97295777a2bef096323d4872a96d5365",
"core_2base_2String_8h.html#a1647f6d45b2830ecdf84bd995e69cf84",
"core_2url_2UrlBase_8h_source.html",
"globals_w.html",
"libxmlfwd_8cc.html#a7505788e58d176689fcab0a58e483386",
"plugin-commit.html#commitbegin",
"structzypp_1_1CpeId_1_1Value_1_1ETypeDef.html#a347b71d8fe036f1b7ce7edc019168fb5",
"structzypp_1_1KVMap.html#a569766ffd3792153419c774642719476",
"structzypp_1_1ProblemSolution_1_1Impl.html#a91244b4183feffa93ea04a0fb0526a9c",
"structzypp_1_1RepoManager.html#a171e800b3d744b273622e4e5a70fc970",
"structzypp_1_1SavingLocksReport.html#a27ea18e454911217615c6668d1206cc3",
"structzypp_1_1bit_1_1RangeValue.html#adfba5bc0c1e3b2defe1bf9efc3bb276d",
"structzypp_1_1json_1_1Value.html#a3d9c109ec7b39ae0e4f916800e2c0767",
"structzypp_1_1repo_1_1DeltaCandidates_1_1Impl.html#a9f64f78b6ae83596481840e7c18f5fec",
"structzypp_1_1sat_1_1SolvableType.html#a3aa8ddc3ddeca8f0ade536fbc6981f35",
"structzypp_1_1target_1_1rpm_1_1HeaderEntryGetter.html",
"structzypp_1_1ui_1_1selfilter_1_1ByName.html#a5cf1c396340715e68075afafcdc9b5be"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';